Issue 125326 - [SVG] Missing type attribute of style element does not get default value
Summary: [SVG] Missing type attribute of style element does not get default value
Status: RESOLVED FIXED
Alias: None
Product: Draw
Classification: Application
Component: code (show other issues)
Version: 4.2.0-dev
Hardware: PC Windows 7
: P3 Normal (vote)
Target Milestone: 4.1.2
Assignee: Armin Le Grand
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-29 22:27 UTC by Regina Henschel
Modified: 2015-10-18 21:41 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---
pescetti: 4.1.2_release_blocker+


Attachments
test styling-elem-01-b from W3C test suite (3.44 KB, image/svg+xml)
2014-07-29 22:27 UTC, Regina Henschel
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Regina Henschel 2014-07-29 22:27:03 UTC
Created attachment 83750 [details]
test styling-elem-01-b from W3C test suite

The current implementation fails on test case "styling-elem-01-b.svg" of the W3C test suite http://www.w3.org/Graphics/SVG/Test/20110816/archives/W3C_SVG_11_TestSuite.tar.gz. For your convenience I attach the file here.

It is allowed, that the "type" attribute of the style element is missing. In that cases it defaults to type="text/css", see spec http://www.w3.org/TR/SVG/styling.html#StyleElement. The current implementation skips the whole style element.
Comment 1 Armin Le Grand 2014-07-30 11:01:32 UTC
Grepping for reference, should be straightforward.
Comment 2 Armin Le Grand 2014-10-10 12:42:35 UTC
Taking a deeper look...
Comment 3 SVN Robot 2014-10-10 12:50:30 UTC
"alg" committed SVN revision 1630814 into trunk:
i125326 accept CssStyles with missing type attribute
Comment 4 Armin Le Grand 2014-10-10 12:50:48 UTC
OKay, done.
Comment 5 Kay 2015-09-07 21:04:49 UTC
Could use a retest and report here.
Comment 6 Regina Henschel 2015-09-07 21:17:11 UTC
It is OK in AOO420m1(Build:9800)- Rev. 1689959 on Windows 7.
Comment 7 SVN Robot 2015-09-26 15:40:15 UTC
"pescetti" committed SVN revision 1705478 into branches/AOO410:
#i125326# accept CssStyles with missing type attribute
Comment 8 Andrea Pescetti 2015-09-26 15:44:17 UTC
Committed to AOO410 for OpenOffice 4.1.2.
Comment 9 Andrea Pescetti 2015-10-17 22:17:26 UTC
@regina: since you already verified this on trunk, do you have time to verify it with 4.1.2-RC2 too? Thanks! RC2 is available at https://dist.apache.org/repos/dist/dev/openoffice/4.1.2-rc2-r1707648/binaries/
Comment 10 Regina Henschel 2015-10-18 10:57:55 UTC
The test fails in RC2. I have used
AOO412m2(Build:9781)  -  Rev. 1707648
2015-09-28 12:45:04 (Mo, 28 Sep 2015)

To make it work, likely other parts of the SVG-improvements on master are necessary in addition, but I do not know which of them. Because of the short time for 4.1.2 I would not try to fix this for 4.1.2.

I think the commit does not harm and therefore there is no need for reversing the commit.
Comment 11 Andrea Pescetti 2015-10-18 21:41:13 UTC
OK, thanks Regina. So we will keep AOO410 as it is in 4.1.2-RC2: it will include this commit, even though the bug is not fully fixed by it.